#!/usr/bin/python
# -*- coding: iso-8859-15 -*-
""" AutoAdFilter by Dario Varotto (dariosky@gmail.com)
	get latest adblock filters from a shared list and update Firefox and Opera """
version="1.2"

header="AutoAdFilter %s - Pesca i filtri di adblock per Firefox e Opera6"%version

from adklib import *
from adklib import autoupdater

def autoUpdate():
	print "Mi collego ad Internet per ottenere l'ultima versione..."
	autoupdater.autoupdate("http://dariosky.it/autoadfilter.php",	r'<h2><a href="(.*)">versione: .*?</a></h2>')
	sys.exit(1)


if __name__=="__main__":
	print header+"\n"
	print "Assicurati che i browser non siano in esecuzione."
	raw_input("Poi premi un tasto per continuare e aggiornare i filtri delle pubblicita`...")
	
	import getopt
	(options,altro)=getopt.getopt(sys.argv[1:],"u", ("update") )
	for (opz,value) in options:
		if opz in ("u","--update"): autoUpdate()
		sys.exit(0)

	#pesco il targetfile da internet

	try:
		autoupdater.autoupdate("http://dariosky.it/ad-filters.txt", targetpath="filters")
	except:
		print "Impossibile scaricare i filtri aggiornati."
		sys.exit(1)

	#se non ho il file targetfile chiudo...

	if not os.path.isfile(targetfile):
		print "Non ho il file con gli aggiornamenti... chissa` che fine ha fatto!"
		sys.exit(1)

	filterfile=file(targetfile,"r")
	filters=filterfile.readline() #filters are on the first row
	filterfile.close()

	#print "i filtri sono %s"%filters

	#cerco le configurazioni di firefox e le sostituisco
	search=getPrefsPath(FirstLineShouldBe=FirefoxFirstLine)

	if search: print "Riscrivo i filtri per Firefox"
	for f in search:
		subFFfilters(f, filters)	#change FF filters in all prefs

	operafold=Opera6Search()

	#cerco le configurazioni di opera e le cambio
	if operafold:
		#print "Opera in %s"%operafold
		for f in operafold:
			addOperaFilters(f, filters)

	writePrefsPath(search, operafold)
	
	print
	raw_input("Finito, premi un tasto per continuare...")